Index: /trunk/tools/nc_var_tools.py
===================================================================
--- /trunk/tools/nc_var_tools.py	(revision 277)
+++ /trunk/tools/nc_var_tools.py	(revision 278)
@@ -143,4 +143,427 @@
 
     return boolv
+
+
+def variables_values(varName):
+    """ Function to provide values to plot the different variables
+    variables_values(varName)
+      [varName]= name of the variable
+        return: [var name], [std name], [minimum], [maximum], 
+          [long name]('|' for spaces), [units], [color palette] (following: 
+          http://matplotlib.org/1.3.1/examples/color/colormaps_reference.html)
+     [varn]: original name of the variable
+       NOTE: It might be better doing it with an external ASII file. But then we 
+         got an extra dependency...
+    >>> variables_values('WRFght')
+    ['z', 'geopotential_height', 0.0, 80000.0, 'geopotential|height', 'm2s-2', 'rainbow']
+    """
+    fname='variables_values'
+
+    if varName == 'h':
+        print fname + '_____________________________________________________________'
+        print variables_values.__doc__
+        quit()
+
+# Variable name might come with a statistical surname...
+    stats=['min','max','mean','stdv']
+
+    ifst = False
+    for st in stats:
+        if varName.find(st) > -1:
+            print '    '+ fname + ": varibale '" + varName + "' with a statistical "+\
+              " surname: '",st,"' !!"
+            Lst = len(st)
+            LvarName = len(varName)
+            varn = varName[0:LvarName - Lst]
+            ifst = True
+            break
+    if not ifst:
+        varn = varName
+
+    if varn[0:6] == 'varDIM': 
+# Variable from a dimension (all with 'varDIM' prefix)
+        Lvarn = len(varn)
+        varvals = [varn[6:Lvarn+1], varn[6:Lvarn+1], 0., 1.,                         \
+          "variable|from|size|of|dimension|'" + varn[6:Lvarn+1] + "'", '1', 'rainbox']
+    elif varn == 'a_tht' or varn == 'LA_THT':
+        varvals = ['ath', 'total_thermal_plume_cover', 0., 1.,                       \
+        'total|column|thermal|plume|cover', '1', 'YlGnBu']
+    elif varn == 'bils' or varn == 'LBILS':
+        varvals = ['bils', 'surface_total_heat_flux', -100., 100.,                   \
+          'surface|total|heat|flux', 'Wm-2', 'seismic']
+    elif varn == 'landcat' or varn == 'category':
+        varvals = ['landcat', 'land_categories', 0., 22., 'land|categories', '1',    \
+          'rainbow']
+    elif varn == 'c' or varn == 'QCLOUD' or varn == 'oliq' or varn == 'OLIQ':
+        varvals = ['c', 'condensed_water_mixing_ratio', 0., 3.e-4,                   \
+          'condensed|water|mixing|ratio', 'kgkg-1', 'BuPu']
+    elif varn == 'ci' or varn == 'iwcon' or varn == 'LIWCON':
+        varvals = ['ci', 'cloud_iced_water_mixing_ratio', 0., 0.0003,                \
+         'cloud|iced|water|mixing|ratio', 'kgkg-1', 'Purples']
+    elif varn == 'cl' or varn == 'lwcon' or varn == 'LLWCON':
+        varvals = ['cl', 'cloud_liquidwater_mixing_ratio', 0., 0.0003,               \
+         'cloud|liquid|water|mixing|ratio', 'kgkg-1', 'Blues']
+    elif varn == 'cld' or varn == 'CLDFRA' or varn == 'rneb' or varn == 'lrneb' or   \
+      varn == 'LRNEB':
+        varvals = ['cld', 'cloud_area_fraction', 0., 1., 'cloud|fraction', '1',      \
+          'gist_gray']
+    elif varn == 'cldc' or varn == 'rnebcon' or varn == 'lrnebcon' or                \
+      varn == 'LRNEBCON':
+        varvals = ['cldc', 'convective_cloud_area_fraction', 0., 1.,                 \
+          'convective|cloud|fraction', '1', 'gist_gray']
+    elif varn == 'cldl' or varn == 'rnebls' or varn == 'lrnebls' or varn == 'LRNEBLS':
+        varvals = ['cldl', 'large_scale_cloud_area_fraction', 0., 1.,                \
+          'large|scale|cloud|fraction', '1', 'gist_gray']
+    elif varn == 'clt' or varn == 'CLT' or varn == 'cldt' or                         \
+      varn == 'Total cloudiness':
+        varvals = ['clt', 'cloud_area_fraction', 0., 1., 'total|cloud|cover', '1',   \
+          'gist_gray']
+    elif varn == 'cll' or varn == 'cldl' or varn == 'LCLDL' or                       \
+      varn == 'Low-level cloudiness':
+        varvals = ['cll', 'low_level_cloud_area_fraction', 0., 1.,                   \
+          'low|level|(p|>|680|hPa)|cloud|fraction', '1', 'gist_gray']
+    elif varn == 'clm' or varn == 'cldm' or varn == 'LCLDM' or                       \
+      varn == 'Mid-level cloudiness':
+        varvals = ['clm', 'mid_level_cloud_area_fraction', 0., 1.,                   \
+          'medium|level|(440|<|p|<|680|hPa)|cloud|fraction', '1', 'gist_gray']
+    elif varn == 'clh' or varn == 'cldh' or varn == 'LCLDH' or                       \
+      varn == 'High-level cloudiness':
+        varvals = ['clh', 'high_level_cloud_area_fraction', 0., 1.,                  \
+          'high|level|(p|<|440|hPa)|cloud|fraction', '1', 'gist_gray']
+    elif varn == 'clmf' or varn == 'fbase' or varn == 'LFBASE':
+        varvals = ['clmf', 'cloud_base_max_flux', -0.3, 0.3, 'cloud|base|max|flux',  \
+          'kgm-2s-1', 'seismic']
+    elif varn == 'clp' or varn == 'pbase' or varn == 'LPBASE':
+        varvals = ['clp', 'cloud_base_pressure', -0.3, 0.3, 'cloud|base|pressure',   \
+          'Pa', 'Reds']
+    elif varn == 'cpt' or varn == 'ptconv' or varn == 'LPTCONV':
+        varvals = ['cpt', 'convective_point', 0., 1., 'convective|point', '1',       \
+          'seismic']
+    elif varn == 'dqajs' or varn == 'LDQAJS':
+        varvals = ['dqajs', 'dry_adjustment_water_vapor_tendency', -0.0003, 0.0003,  \
+        'dry|adjustment|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqcon' or varn == 'LDQCON':
+        varvals = ['dqcon', 'convective_water_vapor_tendency', -3e-8, 3.e-8,         \
+        'convective|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqdyn' or varn == 'LDQDYN':
+        varvals = ['dqdyn', 'dynamics_water_vapor_tendency', -3.e-7, 3.e-7,          \
+        'dynamics|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqeva' or varn == 'LDQEVA':
+        varvals = ['dqeva', 'evaporation_water_vapor_tendency', -3.e-6, 3.e-6,       \
+        'evaporation|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqlscst' or varn == 'LDQLSCST':
+        varvals = ['dqlscst', 'stratocumulus_water_vapor_tendency', -3.e-7, 3.e-7,   \
+        'stratocumulus|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqlscth' or varn == 'LDQLSCTH': 
+        varvals = ['dqlscth', 'thermals_water_vapor_tendency', -3.e-7, 3.e-7,        \
+        'thermal|plumes|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqlsc' or varn == 'LDQLSC':
+        varvals = ['dqlsc', 'condensation_water_vapor_tendency', -3.e-6, 3.e-6,      \
+        'condensation|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqphy' or varn == 'LDQPHY':
+        varvals = ['dqphy', 'physics_water_vapor_tendency', -3.e-7, 3.e-7,           \
+        'physics|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqthe' or varn == 'LDQTHE':
+        varvals = ['dqthe', 'thermals_water_vapor_tendency', -3.e-7, 3.e-7,          \
+        'thermal|plumes|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqvdf' or varn == 'LDQVDF':
+        varvals = ['dqvdf', 'vertical_difussion_water_vapor_tendency', -3.e-8, 3.e-8,\
+        'vertical|difussion|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dqwak' or varn == 'LDQWAK':
+        varvals = ['dqwak', 'wake_water_vapor_tendency', -3.e-7, 3.e-7,              \
+        'wake|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dta' or varn == 'tnt' or varn == 'LTNT':
+        varvals = ['dta', 'tendency_air_temperature', -3.e-3, 3.e-3,                 \
+        'tendency|of|air|temperature', 'K/s', 'seismic']
+    elif varn == 'dtac' or varn == 'tntc' or varn == 'LTNTC':
+        varvals = ['dtac', 'moist_convection_tendency_air_temperature', -3.e-3,      \
+        3.e-3, 'moist|convection|tendency|of|air|temperature', 'K/s', 'seismic']
+    elif varn == 'dtar' or varn == 'tntr' or varn == 'LTNTR':
+        varvals = ['dtar', 'radiative_heating_tendency_air_temperature', -3.e-3,     \
+          3.e-3, 'radiative|heating|tendency|of|air|temperature', 'K/s', 'seismic']
+    elif varn == 'dtascpbl' or varn == 'tntscpbl' or varn == 'LTNTSCPBL':
+        varvals = ['dtascpbl',                                                       \
+          'stratiform_cloud_precipitation_BL_mixing_tendency_air_temperature',       \
+          -3.e-6, 3.e-6,                                                             \
+          'stratiform|cloud|precipitation|Boundary|Layer|mixing|tendency|air|'       +
+          'temperature', 'K/s', 'seismic']
+    elif varn == 'dtajs' or varn == 'LDTAJS':
+        varvals = ['dtajs', 'dry_adjustment_thermal_tendency', -3.e-5, 3.e-5,        \
+        'dry|adjustment|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtcon' or varn == 'LDTCON':
+        varvals = ['dtcon', 'convective_thermal_tendency', -3.e-5, 3.e-5,            \
+        'convective|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtdyn' or varn == 'LDTDYN':
+        varvals = ['dtdyn', 'dynamics_thermal_tendency', -3.e-4, 3.e-4,              \
+        'dynamics|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dteva' or varn == 'LDTEVA':
+        varvals = ['dteva', 'evaporation_thermal_tendency', -3.e-3, 3.e-3,           \
+        'evaporation|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtlscst' or varn == 'LDTLSCST':
+        varvals = ['dtlscst', 'stratocumulus_thermal_tendency', -3.e-4, 3.e-4,       \
+        'stratocumulus|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtlscth' or varn == 'LDTLSCTH':
+        varvals = ['dtlscth', 'thermals_thermal_tendency', -3.e-4, 3.e-4,            \
+        'thermal|plumes|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtlsc' or varn == 'LDTLSC':
+        varvals = ['dtlsc', 'condensation_thermal_tendency', -3.e-3, 3.e-3,          \
+        'condensation|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtlwr' or varn == 'LDTLWR':
+        varvals = ['dtlwr', 'long_wave_thermal_tendency', -3.e-3, 3.e-3, \
+        'long|wave|radiation|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtphy' or varn == 'LDTPHY':
+        varvals = ['dtphy', 'physics_thermal_tendency', -3.e-4, 3.e-4,               \
+        'physics|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtsw0' or varn == 'LDTSW0':
+        varvals = ['dtsw0', 'cloudy_sky_short_wave_thermal_tendency', -3.e-4, 3.e-4, \
+        'cloudy|sky|short|wave|radiation|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtthe' or varn == 'LDTTHE':
+        varvals = ['dtthe', 'thermals_thermal_tendency', -3.e-4, 3.e-4,              \
+        'thermal|plumes|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtvdf' or varn == 'LDTVDF':
+        varvals = ['dtvdf', 'vertical_difussion_thermal_tendency', -3.e-5, 3.e-5,    \
+        'vertical|difussion|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtwak' or varn == 'LDTWAK':
+        varvals = ['dtwak', 'wake_thermal_tendency', -3.e-4, 3.e-4,                  \
+        'wake|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'ducon' or varn == 'LDUCON':
+        varvals = ['ducon', 'convective_eastward_wind_tendency', -3.e-3, 3.e-3,      \
+        'convective|eastward|wind|tendency', 'ms-2', 'seismic']
+    elif varn == 'dudyn' or varn == 'LDUDYN':
+        varvals = ['dudyn', 'dynamics_eastward_wind_tendency', -3.e-3, 3.e-3,        \
+        'dynamics|eastward|wind|tendency', 'ms-2', 'seismic']
+    elif varn == 'duvdf' or varn == 'LDUVDF':
+        varvals = ['duvdf', 'vertical_difussion_eastward_wind_tendency', -3.e-3,     \
+         3.e-3, 'vertical|difussion|eastward|wind|tendency', 'ms-2', 'seismic']
+    elif varn == 'dvcon' or varn == 'LDVCON':
+        varvals = ['dvcon', 'convective_difussion_northward_wind_tendency', -3.e-3,  \
+         3.e-3, 'convective|northward|wind|tendency', 'ms-2', 'seismic']
+    elif varn == 'dvdyn' or varn == 'LDVDYN':
+        varvals = ['dvdyn', 'dynamics_northward_wind_tendency', -3.e-3,    \
+         3.e-3, 'dynamics|difussion|northward|wind|tendency', 'ms-2', 'seismic']
+    elif varn == 'dvvdf' or varn == 'LDVVDF':
+        varvals = ['dvvdf', 'vertical_difussion_northward_wind_tendency', -3.e-3,    \
+         3.e-3, 'vertical|difussion|northward|wind|tendency', 'ms-2', 'seismic']
+    elif varn == 'evspsbl' or varn == 'LEVAP' or varn == 'evap':
+        varvals = ['evspsbl', 'water_evaporation_flux', 0., 1.5e-4,                  \
+          'water|evaporation|flux', 'kgm-2s-1', 'Blues']
+    elif varn == 'g' or varn == 'QGRAUPEL':
+        varvals = ['g', 'grauepl_mixing_ratio', 0., 0.0003, 'graupel|mixing|ratio',  \
+          'kgkg-1', 'Purples']
+    elif varn == 'h2o' or varn == 'LH2O':
+        varvals = ['h2o', 'water_mass_fraction', 0., 3.e-2,                          \
+          'mass|fraction|of|water', '1', 'Blues']
+    elif varn == 'h' or varn == 'QHAIL':
+        varvals = ['h', 'hail_mixing_ratio', 0., 0.0003, 'hail|mixing|ratio',        \
+          'kgkg-1', 'Purples']
+    elif varn == 'hfls' or varn == 'LH' or varn == 'LFLAT' or varn == 'flat':
+        varvals = ['hfls', 'surface_upward_latent_heat_flux', -400., 400.,           \
+          'upward|latnt|heat|flux|at|the|surface', 'Wm-2', 'seismic']
+    elif varn == 'hfss' or varn == 'LSENS' or varn == 'sens':
+        varvals = ['hfss', 'surface_upward_sensible_heat_flux', -150., 150.,         \
+          'upward|sensible|heat|flux|at|the|surface', 'Wm-2', 'seismic']
+    elif varn == 'hus' or varn == 'WRFrh' or varn == 'LMDZrh' or varn == 'rhum' or   \
+      varn == 'LRHUM':
+        varvals = ['hus', 'specific_humidity', 0., 1., 'specific|humidty', '1',      \
+          'BuPu']
+    elif varn == 'huss' or varn == 'WRFrhs' or varn == 'LMDZrhs' or varn == 'rh2m' or\
+      varn == 'LRH2M':
+        varvals = ['huss', 'specific_humidity', 0., 1., 'specific|humidty|at|2m',    \
+          '1', 'BuPu']
+    elif varn == 'i' or varn == 'QICE':
+        varvals = ['i', 'iced_water_mixing_ratio', 0., 0.0003,                       \
+         'iced|water|mixing|ratio', 'kgkg-1', 'Purples']
+    elif varn == 'lat' or varn == 'XLAT' or varn == 'XLAT_M' or varn == 'latitude':
+        varvals = ['lat', 'latitude', -90., 90., 'latitude', 'degrees North',        \
+          'seismic']
+    elif varn == 'lcl' or varn == 's_lcl' or varn == 'ls_lcl' or varn == 'LS_LCL':
+        varvals = ['lcl', 'condensation_level', 0., 2500., 'level|of|condensation',  \
+          'm', 'Greens']
+    elif varn == 'lambdath' or varn == 'lambda_th' or varn == 'LLAMBDA_TH':
+        varvals = ['lambdath', 'thermal_plume_vertical_velocity', -30., 30.,         \
+          'thermal|plume|vertical|velocity', 'm/s', 'seismic']
+    elif varn == 'lmaxth' or varn == 'LLMAXTH':
+        varvals = ['lmaxth', 'upper_level_thermals', 0., 100., 'upper|level|thermals'\
+          , '1', 'Greens']
+    elif varn == 'lon' or varn == 'XLONG' or varn == 'XLONG_M':
+        varvals = ['lon', 'longitude', -180., 180., 'longitude', 'degrees East',     \
+          'seismic']
+    elif varn == 'longitude':
+        varvals = ['lon', 'longitude', 0., 360., 'longitude', 'degrees East',        \
+          'seismic']
+    elif varn == 'orog' or varn == 'HGT' or varn == 'HGT_M':
+        varvals = ['orog', 'orography',  0., 3000., 'surface|altitude', 'm','terrain']
+    elif varn == 'pfc' or varn == 'plfc' or varn == 'LPLFC':
+        varvals = ['pfc', 'pressure_free_convection', 100., 1100.,                   \
+          'pressure|free|convection', 'hPa', 'BuPu']
+    elif varn == 'plcl' or varn == 'LPLCL':
+        varvals = ['plcl', 'pressure_lifting_condensation_level', 700., 1100.,       \
+          'pressure|lifting|condensation|level', 'hPa', 'BuPu']
+    elif varn == 'pr' or varn == 'RAINTOT' or varn == 'precip' or                    \
+      varn == 'LPRECIP' or varn == 'Precip Totale liq+sol':
+        varvals = ['pr', 'precipitation_flux', 0., 1.e-4, 'precipitation|flux',      \
+          'kgm-2s-1', 'BuPu']
+    elif varn == 'prprof' or varn == 'vprecip' or varn == 'LVPRECIP':
+        varvals = ['prprof', 'precipitation_profile', 0., 1.e-3,                     \
+          'precipitation|profile', 'kg/m2/s', 'BuPu']
+    elif varn == 'prprofci' or varn == 'pr_con_i' or varn == 'LPR_CON_I':
+        varvals = ['prprofci', 'precipitation_profile_convective_i', 0., 1.e-3,      \
+          'precipitation|profile|convective|i', 'kg/m2/s', 'BuPu']
+    elif varn == 'prprofcl' or varn == 'pr_con_l' or varn == 'LPR_CON_L':
+        varvals = ['prprofcl', 'precipitation_profile_convective_l', 0., 1.e-3,      \
+          'precipitation|profile|convective|l', 'kg/m2/s', 'BuPu']
+    elif varn == 'prprofli' or varn == 'pr_lsc_i' or varn == 'LPR_LSC_I':
+        varvals = ['prprofli', 'precipitation_profile_large_scale_i', 0., 1.e-3,     \
+          'precipitation|profile|large|scale|i', 'kg/m2/s', 'BuPu']
+    elif varn == 'prprofll' or varn == 'pr_lsc_l' or varn == 'LPR_LSC_L':
+        varvals = ['prprofll', 'precipitation_profile_large_scale_l', 0., 1.e-3,     \
+          'precipitation|profile|large|scale|l', 'kg/m2/s', 'BuPu']
+    elif varn == 'pracc' or varn == 'ACRAINTOT':
+        varvals = ['pracc', 'precipitation_amount', 0., 100.,                        \
+          'accumulated|precipitation', 'kgm-2', 'BuPu']
+    elif varn == 'prc' or varn == 'LPLUC' or varn == 'pluc' or varn == 'WRFprc':
+        varvals = ['prc', 'convective_precipitation_flux', 0., 2.e-4,                \
+          'convective|precipitation|flux', 'kgm-2s-1', 'Blues']
+    elif varn == 'prci' or varn == 'pr_con_i' or varn == 'LPR_CON_I':
+        varvals = ['prci', 'convective_ice_precipitation_flux', 0., 0.003,           \
+          'convective|ice|precipitation|flux', 'kgm-2s-1', 'Purples']
+    elif varn == 'prcl' or varn == 'pr_con_l' or varn == 'LPR_CON_L':
+        varvals = ['prcl', 'convective_liquid_precipitation_flux', 0., 0.003,        \
+          'convective|liquid|precipitation|flux', 'kgm-2s-1', 'Blues']
+    elif varn == 'pres' or varn == 'presnivs' or varn == 'pressure' or               \
+      varn == 'lpres' or varn == 'LPRES':
+        varvals = ['pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa',        \
+          'Blues']
+    elif varn == 'prls' or varn == 'WRFprls' or varn == 'LPLUL' or varn == 'plul':
+        varvals = ['prls', 'large_scale_precipitation_flux', 0., 2.e-4,              \
+          'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues']
+    elif varn == 'prsn' or varn == 'SNOW' or varn == 'snow' or varn == 'LSNOW':
+        varvals = ['prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu']
+    elif varn == 'prw' or varn == 'WRFprh':
+        varvals = ['prw', 'atmosphere_water_vapor_content', 0., 10.,                 \
+          'water|vapor"path', 'kgm-2', 'Blues']
+    elif varn == 'ps' or varn == 'psfc' or varn =='PSFC' or varn == 'psol' or        \
+      varn == 'Surface Pressure':
+        varvals=['ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure',  \
+          'hPa', 'cool']
+    elif varn == 'psl' or varn == 'mslp' or varn =='WRFmslp':
+        varvals=['psl', 'air_pressure_at_sea_level', 85000., 104000.,                \
+          'mean|sea|level|pressure', 'Pa', 'Greens']
+    elif varn == 'qth' or varn == 'q_th' or varn == 'LQ_TH':
+        varvals = ['qth', 'thermal_plume_total_water_content', 0., 25.,              \
+          'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd']
+    elif varn == 'r' or varn == 'QVAPOR' or varn == 'ovap' or varn == 'LOVAP':
+        varvals = ['r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio',        \
+          'kgkg-1', 'BuPu']
+    elif varn == 'rsds' or varn == 'SWdnSFC' or varn == 'SWdn at surface' or         \
+      varn == 'SWDOWN':
+        varvals=['rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200.,    \
+          'downward|SW|surface|radiation', 'Wm-2' ,'Reds']
+    elif varn == 'rsdsacc':
+        varvals=['rsdsacc', 'accumulated_surface_downwelling_shortwave_flux_in_air', \
+          0., 1200., 'accumulated|downward|SW|surface|radiation', 'Wm-2' ,'Reds']
+    elif varn == 'rvor' or varn == 'WRFrvor':
+        varvals = ['rvor', 'air_relative_vorticity', -2.5E-3, 2.5E-3,                \
+          'air|relative|vorticity', 's-1', 'seismic']
+    elif varn == 'rvors' or varn == 'WRFrvors':
+        varvals = ['rvors', 'surface_air_relative_vorticity', -2.5E-3, 2.5E-3,       \
+          'surface|air|relative|vorticity', 's-1', 'seismic']
+    elif varn == 's' or varn == 'QSNOW':
+        varvals = ['s', 'snow_mixing_ratio', 0., 0.0003, 'snow|mixing|ratio',        \
+          'kgkg-1', 'Purples']
+    elif varn == 'stherm' or varn == 'LS_THERM':
+        varvals = ['stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',     \
+          'Reds']
+    elif varn == 'ta' or varn == 'WRFt' or varn == 'temp' or varn == 'LTEMP' or      \
+      varn == 'Air temperature':
+        varvals = ['ta', 'air_temperature', 195., 320., 'air|temperature', 'K',      \
+          'YlOrRd']
+    elif varn == 'tah' or varn == 'theta' or varn == 'LTHETA':
+        varvals = ['tah', 'potential_air_temperature', 195., 320.,                   \
+          'potential|air|temperature', 'K', 'YlOrRd']
+    elif varn == 'tas' or varn == 'T2' or varn == 't2m' or varn == 'T2M' or          \
+      varn == 'Temperature 2m':
+        varvals = ['tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', '  \
+          K', 'YlOrRd']
+    elif varn == 'tds' or varn == 'TH2':
+        varvals = ['tds', 'air_dew_point_temperature', 240., 310.,                   \
+          'air|dew|point|temperature|at|2m', 'K', 'YlGnBu']
+    elif varn == 'tke' or varn == 'TKE' or varn == 'tke' or varn == 'LTKE':
+        varvals = ['tke', 'turbulent_kinetic_energy', 0., 0.003,                     \
+          'turbulent|kinetic|energy', 'm2/s2', 'Reds']
+    elif varn == 'time'or varn == 'time_counter':
+        varvals = ['time', 'time', 0., 1000., 'time',                                \
+          'hours|since|1949/12/01|00:00:00', 'Reds']
+    elif varn == 'tmla' or varn == 's_pblt' or varn == 'LS_PBLT':
+        varvals = ['tmla', 'atmosphere_top_boundary_layer_temperature', 250., 330.,  \
+          'atmosphere|top|boundary|layer|temperature', 'K', 'Reds']
+    elif varn == 'ua' or varn == 'vitu' or varn == 'U' or varn == 'Zonal wind' or    \
+      varn == 'LVITU':
+        varvals = ['ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1',        \
+          'seismic']
+    elif varn == 'uas' or varn == 'u10m' or varn == 'U10' or varn =='Vent zonal 10m':
+        varvals = ['uas', 'eastward_wind', -30., 30., 'eastward|2m|wind',    \
+          'ms-1', 'seismic']
+    elif varn == 'va' or varn == 'vitv' or varn == 'V' or varn == 'Meridional wind'  \
+      or varn == 'LVITV':
+        varvals = ['va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1',      \
+          'seismic']
+    elif varn == 'vas' or varn == 'v10m' or varn == 'V10' or                         \
+      varn =='Vent meridien 10m':
+        varvals = ['vas', 'northward_wind', -30., 30., 'northward|2m|wind', 'ms-1',  \
+          'seismic']
+    elif varn == 'wakedeltaq' or varn == 'wake_deltaq' or varn == 'lwake_deltaq' or  \
+      varn == 'LWAKE_DELTAQ':
+        varvals = ['wakedeltaq', 'wake_delta_vapor', -0.003, 0.003,                  \
+          'wake|delta|mixing|ratio', '-', 'seismic']
+    elif varn == 'wakedeltat' or varn == 'wake_deltat' or varn == 'lwake_deltat' or  \
+      varn == 'LWAKE_DELTAT':
+        varvals = ['wakedeltat', 'wake_delta_temp', -0.003, 0.003,                   \
+          'wake|delta|temperature', '-', 'seismic']
+    elif varn == 'wakeh' or varn == 'wake_h' or varn == 'LWAKE_H':
+        varvals = ['wakeh', 'wake_height', 0., 1000., 'height|of|the|wakes', 'm',    \
+          'YlOrRd']
+    elif varn == 'wakeomg' or varn == 'wake_omg' or varn == 'lwake_omg' or           \
+      varn == 'LWAKE_OMG':
+        varvals = ['wakeomg', 'wake_omega', 0., 3., 'wake|omega', \
+          '-', 'BuGn']
+    elif varn == 'wakes' or varn == 'wake_s' or varn == 'LWAKE_S':
+        varvals = ['wakes', 'wake_area_fraction', 0., 0.5, 'wake|spatial|fraction',  \
+          '1', 'BuGn']
+    elif varn == 'wa' or varn == 'W' or varn == 'Vertical wind':
+        varvals = ['wa', 'upward_wind', -10., 10., 'upward|wind', 'ms-1',            \
+          'seismic']
+    elif varn == 'wap' or varn == 'vitw' or varn == 'LVITW':
+        varvals = ['wap', 'upward_wind', -3.e-10, 3.e-10, 'upward|wind', 'mPa-1',    \
+          'seismic']
+    elif varn == 'wss' or varn == 'SPDUV':
+        varvals = ['wss', 'air_velocity',  0., 30., 'surface|horizontal|wind|speed', \
+          'ms-1', 'Reds']
+    elif varn == 'xtime' or varn == 'XTIME':
+        varvals = ['xtime', 'time',  0., 1.e5, 'time',                               \
+          'minutes|since|simulation|start', 'Reds']
+    elif varn == 'x' or varn == 'X':
+        varvals = ['x', 'x',  0., 100., 'x', '-', 'Reds']
+    elif varn == 'y' or varn == 'Y':
+        varvals = ['y', 'y',  0., 100., 'y', '-', 'Blues']
+    elif varn == 'z' or varn == 'Z':
+        varvals = ['z', 'z',  0., 100., 'z', '-', 'Greens']
+    elif varn == 'zg' or varn == 'WRFght' or varn == 'Geopotential height' or        \
+      varn == 'geop' or varn == 'LGEOP':
+        varvals = ['zg', 'geopotential_height', 0., 80000., 'geopotential|height',   \
+          'm2s-2', 'rainbow']
+    elif varn == 'zmaxth' or varn == 'zmax_th'  or varn == 'LZMAX_TH':
+        varvals = ['zmaxth', 'thermal_plume_height', 0., 4000.,                     \
+          'maximum|thermals|plume|height', 'm', 'YlOrRd']
+    elif varn == 'zmla' or varn == 's_pblh' or varn == 'LS_PBLH':
+        varvals = ['zmla', 'atmosphere_boundary_layer_thickness', 0., 2500.,         \
+          'atmosphere|boundary|layer|thickness', 'm', 'Blues']
+    else:
+        print errormsg
+        print '  ' + fname + ': variable ' + varn + ' not defined !!!'
+        quit(-1)
+
+    return varvals
+
 
 ####### ###### ##### #### ### ## #
@@ -11350,302 +11773,4 @@
 #file_oper_alongdims('time:-1|z:-1|x:-1|y:-1,time:y,mean,pressure:lat', '/home/lluis/etudes/WRF_LMDZ/WaquaL/WRF_LMDZ/AR40/vertical_interpolation_WRFp.nc', 'WRFt')
 
-
-def variables_values(varName):
-    """ Function to provide values to plot the different variables
-    variables_values(varName)
-      [varName]= name of the variable
-        return: [var name], [std name], [minimum], [maximum], 
-          [long name]('|' for spaces), [units], [color palette] (following: 
-          http://matplotlib.org/1.3.1/examples/color/colormaps_reference.html)
-     [varn]: original name of the variable
-       NOTE: It might be better doing it with an external ASII file. But then we 
-         got an extra dependency...
-    >>> variables_values('WRFght')
-    ['z', 'geopotential_height', 0.0, 80000.0, 'geopotential|height', 'm2s-2', 'rainbow']
-    """
-    fname='variables_values'
-
-    if varName == 'h':
-        print fname + '_____________________________________________________________'
-        print variables_values.__doc__
-        quit()
-
-# Variable name might come with a statistical surname...
-    stats = ['min','max','mean','stdv','turb']
-    statsLong = {'min':'minimum', 'max':'maximum', 'mean':'mean',                    \
-      'stdv':'standard deviation', 'turb':'turbulence'}
-
-    ifst = False
-    for st in stats:
-        if varName.find(st) > -1:
-            print '    '+ fname + ": varibale '" + varName + "' with a statistical "+\
-              " surname: '",st,"' !!"
-            Lst = len(st)
-            LvarName = len(varName)
-            varn = varName[0:LvarName - Lst]
-            ifst = True
-            stname = st
-            break
-    if not ifst:
-        varn = varName
-
-    if varn[0:6] == 'varDIM': 
-# Variable from a dimension (all with 'varDIM' prefix)
-        Lvarn = len(varn)
-        varvals = [varn[6:Lvarn+1], varn[6:Lvarn+1], 0., 1.,                         \
-          "variable|from|size|of|dimension|'" + varn[6:Lvarn+1] + "'", '1', 'rainbox']
-    elif varn == 'a_tht' or varn == 'LA_THT':
-        varvals = ['a_th', 'total_thermal_plume_cover', 0., 1.,                      \
-        'total|column|thermal|plume|cover', '1', 'YlGnBu']
-    elif varn == 'bils' or varn == 'LBILS':
-        varvals = ['bils', 'surface_total_heat_flux', -100., 100.,                   \
-          'surface|total|heat|flux', 'Wm-2', 'seismic']
-    elif varn == 'landcat' or varn == 'category':
-        varvals = ['landcat', 'land_categories', 0., 22., 'land|categories', '1',    \
-          'rainbow']
-    elif varn == 'c' or varn == 'QCLOUD' or varn == 'oliq' or varn == 'OLIQ':
-        varvals = ['c', 'condensed_water_mixing_ratio', 0., 3.e-4,                   \
-          'condensed|water|mixing|ratio', 'kgkg-1', 'BuPu']
-    elif varn == 'clt' or varn == 'CLT' or varn == 'cldt' or                         \
-      varn == 'Total cloudiness':
-        varvals = ['clt', 'cloud_area_fraction', 0., 1., 'total|cloud|cover', '1',   \
-          'gist_gray']
-    elif varn == 'cll' or varn == 'cldl' or varn == 'LCLDL' or                       \
-      varn == 'Low-level cloudiness':
-        varvals = ['cll', 'low_level_cloud_area_fraction', 0., 1.,                   \
-          'low|level|(p|>|680|hPa)|cloud|fraction', '1', 'gist_gray']
-    elif varn == 'clm' or varn == 'cldm' or varn == 'LCLDM' or                       \
-      varn == 'Mid-level cloudiness':
-        varvals = ['clm', 'mid_level_cloud_area_fraction', 0., 1.,                   \
-          'medium|level|(440|<|p|<|680|hPa)|cloud|fraction', '1', 'gist_gray']
-    elif varn == 'clh' or varn == 'cldh' or varn == 'LCLDH' or                       \
-      varn == 'High-level cloudiness':
-        varvals = ['clh', 'high_level_cloud_area_fraction', 0., 1.,                  \
-          'high|level|(p|<|440|hPa)|cloud|fraction', '1', 'gist_gray']
-    elif varn == 'dqajs' or varn == 'LDQAJS':
-        varvals = ['dqajs', 'dry_adjustment_water_vapor_tendency', -0.0003, 0.0003,  \
-        'dry|adjustment|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqcon' or varn == 'LDQCON':
-        varvals = ['dqcon', 'convective_water_vapor_tendency', -3e-8, 3.e-8,         \
-        'convective|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqdyn' or varn == 'LDQDYN':
-        varvals = ['dqdyn', 'dynamics_water_vapor_tendency', -3.e-7, 3.e-7,          \
-        'dynamics|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqeva' or varn == 'LDQEVA':
-        varvals = ['dqeva', 'evaporation_water_vapor_tendency', -3.e-6, 3.e-6,       \
-        'evaporation|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqlscst' or varn == 'LDQLSCST':
-        varvals = ['dqlscst', 'stratocumulus_water_vapor_tendency', -3.e-7, 3.e-7,   \
-        'stratocumulus|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqlscth' or varn == 'LDQLSCTH': 
-        varvals = ['dqlscth', 'thermals_water_vapor_tendency', -3.e-7, 3.e-7,        \
-        'thermal|plumes|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqlsc' or varn == 'LDQLSC':
-        varvals = ['dqlsc', 'condensation_water_vapor_tendency', -3.e-6, 3.e-6,      \
-        'condensation|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqphy' or varn == 'LDQPHY':
-        varvals = ['dqphy', 'physics_water_vapor_tendency', -3.e-7, 3.e-7,           \
-        'physics|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqthe' or varn == 'LDQTHE':
-        varvals = ['dqthe', 'thermals_water_vapor_tendency', -3.e-7, 3.e-7,          \
-        'thermal|plumes|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqvdf' or varn == 'LDQVDF':
-        varvals = ['dqvdf', 'vertical_difussion_water_vapor_tendency', -3.e-8, 3.e-8,\
-        'vertical|difussion|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dqwak' or varn == 'LDQWAK':
-        varvals = ['dqwak', 'wake_water_vapor_tendency', -3.e-7, 3.e-7,              \
-        'wake|water|vapor|tendency', 'kg/kg/s', 'seismic']
-    elif varn == 'dtajs' or varn == 'LDTAJS':
-        varvals = ['dtajs', 'dry_adjustment_thermal_tendency', -3.e-5, 3.e-5,        \
-        'dry|adjustment|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtcon' or varn == 'LDTCON':
-        varvals = ['dtcon', 'convective_thermal_tendency', -3.e-5, 3.e-5,            \
-        'convective|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtdyn' or varn == 'LDTDYN':
-        varvals = ['dtdyn', 'dynamics_thermal_tendency', -3.e-4, 3.e-4,              \
-        'dynamics|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dteva' or varn == 'LDTEVA':
-        varvals = ['dteva', 'evaporation_thermal_tendency', -3.e-3, 3.e-3,           \
-        'evaporation|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtlscst' or varn == 'LDTLSCST':
-        varvals = ['dtlscst', 'stratocumulus_thermal_tendency', -3.e-4, 3.e-4,       \
-        'stratocumulus|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtlscth' or varn == 'LDTLSCTH':
-        varvals = ['dtlscth', 'thermals_thermal_tendency', -3.e-4, 3.e-4,            \
-        'thermal|plumes|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtlsc' or varn == 'LDTLSC':
-        varvals = ['dtlsc', 'condensation_thermal_tendency', -3.e-3, 3.e-3,          \
-        'condensation|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtphy' or varn == 'LDTPHY':
-        varvals = ['dtphy', 'physics_thermal_tendency', -3.e-4, 3.e-4,               \
-        'physics|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtthe' or varn == 'LDTTHE':
-        varvals = ['dtthe', 'thermals_thermal_tendency', -3.e-4, 3.e-4,              \
-        'thermal|plumes|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtvdf' or varn == 'LDTVDF':
-        varvals = ['dtvdf', 'vertical_difussion_thermal_tendency', -3.e-5, 3.e-5,    \
-        'vertical|difussion|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'dtwak' or varn == 'LDTWAK':
-        varvals = ['dtwak', 'wake_thermal_tendency', -3.e-4, 3.e-4,                  \
-        'wake|thermal|tendency', 'K/s', 'seismic']
-    elif varn == 'evspsbl' or varn == 'LEVAP' or varn == 'evap':
-        varvals = ['evspsbl', 'water_evaporation_flux', 0., 1.5e-4,                  \
-          'water|evaporation|flux', 'kgm-2s-1', 'Blues']
-    elif varn == 'h2o' or varn == 'LH2O':
-        varvals = ['h2o', 'water_mass_fraction', 0., 3.e-2,                          \
-          'mass|fraction|of|water', '1', 'Blues']
-    elif varn == 'hfls' or varn == 'LH' or varn == 'LFLAT' or varn == 'flat':
-        varvals = ['hfls', 'surface_upward_latent_heat_flux', -400., 400.,           \
-          'upward|latnt|heat|flux|at|the|surface', 'Wm-2', 'seismic']
-    elif varn == 'hfss' or varn == 'LSENS' or varn == 'sens':
-        varvals = ['hfss', 'surface_upward_sensible_heat_flux', -150., 150.,         \
-          'upward|sensible|heat|flux|at|the|surface', 'Wm-2', 'seismic']
-    elif varn == 'hus' or varn == 'WRFrh' or varn == 'LMDZrh' or varn == 'rhum' or   \
-      varn == 'LRHUM':
-        varvals = ['hus', 'specific_humidity', 0., 1., 'specific|humidty', '1',      \
-          'BuPu']
-    elif varn == 'huss' or varn == 'WRFrhs' or varn == 'LMDZrhs' or varn == 'rh2m' or\
-      varn == 'LRH2M':
-        varvals = ['huss', 'specific_humidity', 0., 1., 'specific|humidty|at|2m',    \
-          '1', 'BuPu']
-    elif varn == 'lat' or varn == 'XLAT' or varn == 'XLAT_M' or varn == 'latitude':
-        varvals = ['lat', 'latitude', -90., 90., 'latitude', 'degrees North',        \
-          'seismic']
-    elif varn == 'lon' or varn == 'XLONG' or varn == 'XLONG_M':
-        varvals = ['lon', 'longitude', -180., 180., 'longitude', 'degrees East',     \
-          'seismic']
-    elif varn == 'longitude':
-        varvals = ['lon', 'longitude', 0., 360., 'longitude', 'degrees East',        \
-          'seismic']
-    elif varn == 'orog' or varn == 'HGT' or varn == 'HGT_M':
-        varvals = ['orog', 'orography',  0., 3000., 'surface|altitude', 'm','terrain']
-    elif varn == 'pr' or varn == 'RAINTOT' or varn == 'precip' or                    \
-      varn == 'LPRECIP' or varn == 'Precip Totale liq+sol':
-        varvals = ['pr', 'precipitation_flux', 0., 1.e-4, 'precipitation|flux',      \
-          'kgm-2s-1', 'BuPu']
-    elif varn == 'pracc' or varn == 'ACRAINTOT':
-        varvals = ['pracc', 'precipitation_amount', 0., 100.,                        \
-          'accumulated|precipitation', 'kgm-2', 'BuPu']
-    elif varn == 'prc' or varn == 'LPLUC' or varn == 'pluc' or varn == 'WRFprc':
-        varvals = ['prc', 'convective_precipitation_flux', 0., 2.e-4,                \
-          'convective|precipitation|flux', 'kgm-2s-1', 'Blues']
-    elif varn == 'pres' or varn == 'presnivs' or varn == 'pressure':
-        varvals = ['pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa',        \
-          'Blues']
-    elif varn == 'prls' or varn == 'WRFprls' or varn == 'LPLUL' or varn == 'plul':
-        varvals = ['prls', 'large_scale_precipitation_flux', 0., 2.e-4,              \
-          'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues']
-    elif varn == 'prsn' or varn == 'SNOW' or varn == 'snow' or varn == 'LSNOW':
-        varvals = ['prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu']
-    elif varn == 'prw' or varn == 'WRFprh':
-        varvals = ['prw', 'atmosphere_water_vapor_content', 0., 10.,                 \
-          'water|vapor"path', 'kgm-2', 'Blues']
-    elif varn == 'ps' or varn == 'psfc' or varn =='PSFC' or varn == 'psol' or        \
-      varn == 'Surface Pressure':
-        varvals=['ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure',  \
-          'hPa', 'cool']
-    elif varn == 'psl' or varn == 'mslp' or varn =='WRFmslp':
-        varvals=['psl', 'air_pressure_at_sea_level', 85000., 104000.,                \
-          'mean|sea|level|pressure', 'Pa', 'Greens']
-    elif varn == 'q_th':
-        varvals = ['q_th', 'thermal_plume_total_water_content', 0., 25.,             \
-          'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd']
-    elif varn == 'r' or varn == 'QVAPOR' or varn == 'ovap' or varn == 'LOVAP':
-        varvals = ['r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio',        \
-          'kgkg-1', 'BuPu']
-    elif varn == 'rsds' or varn == 'SWdnSFC' or varn == 'SWdn at surface' or         \
-      varn == 'SWDOWN':
-        varvals=['rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200.,    \
-          'downward|SW|surface|radiation', 'Wm-2' ,'Reds']
-    elif varn == 'rsdsacc':
-        varvals=['rsdsacc', 'accumulated_surface_downwelling_shortwave_flux_in_air', \
-          0., 1200., 'accumulated|downward|SW|surface|radiation', 'Wm-2' ,'Reds']
-    elif varn == 'rvor' or varn == 'WRFrvor':
-        varvals = ['rvor', 'air_relative_vorticity', -2.5E-3, 2.5E-3,                \
-          'air|relative|vorticity', 's-1', 'seismic']
-    elif varn == 'rvors' or varn == 'WRFrvors':
-        varvals = ['rvors', 'surface_air_relative_vorticity', -2.5E-3, 2.5E-3,       \
-          'surface|air|relative|vorticity', 's-1', 'seismic']
-    elif varn == 's_therm' or varn == 'LS_THERM':
-        varvals = ['s_therm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',    \
-          'Reds']
-    elif varn == 's_therm' or varn == 'LS_THERM':
-        varvals = ['s_therm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',    \
-          'Reds']
-    elif varn == 'ta' or varn == 'WRFt' or varn == 'temp' or varn == 'LTEMP' or      \
-      varn == 'Air temperature':
-        varvals = ['ta', 'air_temperature', 195., 320., 'air|temperature', 'K',      \
-          'YlOrRd']
-    elif varn == 'tas' or varn == 'T2' or varn == 't2m' or varn == 'T2M' or          \
-      varn == 'Temperature 2m':
-        varvals = ['tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', '  \
-          K', 'YlOrRd']
-    elif varn == 'tds' or varn == 'TH2':
-        varvals = ['tds', 'air_dew_point_temperature', 240., 310.,                   \
-          'air|dew|point|temperature|at|2m', 'K', 'YlGnBu']
-    elif varn == 'time'or varn == 'time_counter':
-        varvals = ['time', 'time', 0., 1000., 'time',                                \
-          'hours|since|1949/12/01|00:00:00', 'Reds']
-    elif varn == 'ua' or varn == 'vitu' or varn == 'U' or varn == 'Zonal wind' or    \
-      varn == 'LVITU':
-        varvals = ['ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1',        \
-          'seismic']
-    elif varn == 'uas' or varn == 'u10m' or varn == 'U10' or varn =='Vent zonal 10m':
-        varvals = ['uas', 'eastward_wind', -30., 30., 'eastward|2m|wind',    \
-          'ms-1', 'seismic']
-    elif varn == 'va' or varn == 'vitv' or varn == 'V' or varn == 'Meridional wind'  \
-      or varn == 'LVITV':
-        varvals = ['va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1',      \
-          'seismic']
-    elif varn == 'vas' or varn == 'v10m' or varn == 'V10' or                         \
-      varn =='Vent meridien 10m':
-        varvals = ['vas', 'northward_wind', -30., 30., 'northward|2m|wind', 'ms-1',  \
-          'seismic']
-    elif varn == 'wake_h' or varn == 'LWAKE_H':
-        varvals = ['wake_h', 'wake_height', 0., 1000., 'height|of|the|wakes', 'm',   \
-          'YlOrRd']
-    elif varn == 'wake_s' or varn == 'LWAKE_S':
-        varvals = ['wake_s', 'wake_area_fraction', 0., 0.5, 'wake|spatial|fraction', \
-          '1', 'BuGn']
-    elif varn == 'wa' or varn == 'W' or varn == 'Vertical wind':
-        varvals = ['wa', 'upward_wind', -10., 10., 'upward|wind', 'ms-1',            \
-          'seismic']
-    elif varn == 'wap' or varn == 'vitw' or varn == 'LVITW':
-        varvals = ['wap', 'upward_wind', -3.e-10, 3.e-10, 'upward|wind', 'mPa-1',    \
-          'seismic']
-    elif varn == 'wss' or varn == 'SPDUV':
-        varvals = ['wss', 'air_velocity',  0., 30., 'surface|horizontal|wind|speed', \
-          'ms-1', 'Reds']
-    elif varn == 'xtime' or varn == 'XTIME':
-        varvals = ['xtime', 'time',  0., 1.e5, 'time',                               \
-          'minutes|since|simulation|start', 'Reds']
-    elif varn == 'x' or varn == 'X':
-        varvals = ['x', 'x',  0., 100., 'x', '-', 'Reds']
-    elif varn == 'y' or varn == 'Y':
-        varvals = ['y', 'y',  0., 100., 'y', '-', 'Blues']
-    elif varn == 'z' or varn == 'Z':
-        varvals = ['z', 'z',  0., 100., 'z', '-', 'Greens']
-    elif varn == 'zg' or varn == 'WRFght' or varn == 'Geopotential height' or        \
-      varn == 'geop' or varn == 'LGEOP':
-        varvals = ['zg', 'geopotential_height', 0., 80000., 'geopotential|height',   \
-          'm2s-2', 'rainbow']
-    elif varn == 'zmax_th' or varn == 'LZMAX_TH':
-        varvals = ['zmax_th', 'thermal_plume_height', 0., 4000.,                     \
-          'maximum|thermals|plume|height', 'm', 'YlOrRd']
-    elif varn == 'zmla' or varn == 's_pblh' or varn == 'LS_PBLH':
-        varvals = ['zmla', 'atmosphere_boundary_layer_thickness', 0., 2500.,         \
-          'atmosphere|boundary|layer|thickness', 'm', 'Blues']
-    else:
-        print errormsg
-        print '  ' + fname + ': variable ' + varn + ' not defined !!!'
-        quit(-1)
-
-    if ifst: 
-      varvals[0] = varvals[0] + stname
-## Should be already there
-#      varvals[4] = varvals[4] + statsLong[stname]
-
-    return varvals
-
 def WRF_CFtime_creation(values, ncfile, varn):
     """ Function to add a CF-convention time unit in a WRF file
